For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETList Business Roles
      • POSTCreate Business Role
      • PUTUpdate Business Role
      • DELDelete Business Role
      • GETResend Email Validation
LogoLogo
SupportContact salesStart free trial
API ReferenceSecurity

List Business Roles

GET
https://api.projectmanager.com/api/data/security/businessroles
GET
/api/data/security/businessroles
$curl https://api.projectmanager.com/api/data/security/businessroles \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "roles": [
15 {
16 "id": "string",
17 "name": "string",
18 "description": "string",
19 "isGlobalAdmin": true,
20 "isAdmin": true,
21 "isCustom": true,
22 "isDefault": true,
23 "isGuest": true,
24 "permissions": {}
25 }
26 ]
27 }
28}

Returns every business role in the current workspace, including built-in and custom roles.

Each role includes a permissions object with entitlement and grant state for the account security matrix.

Was this page helpful?
Previous

Create Business Role

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject

Business roles for the account security UI. Each role includes a permissions object whose keys are camelCase action names (for example invitePeople) with isGranted and subscription-related fields per row.